package Audio;

import com.sun.jna.Library;
import com.sun.jna.Native;
import com.sun.jna.Pointer;

import Audio.Bass.BASS_FILEPROCS;
import Audio.Bass.DOWNLOADPROC;

@SuppressWarnings("unused")
public interface BassOPUS extends Library {
	BassOPUS Instance = Native.load("bassopus",BassOPUS.class);
	interface Constant{
		// BASS_CHANNELINFO type
		int BASS_CTYPE_STREAM_OPUS = 0x11200;

		// Additional attributes
		int BASS_ATTRIB_OPUS_ORIGFREQ = 0x13000;
	}
	int BASS_OPUS_StreamCreateFile(String file, long offset, long length, int flags);
	int BASS_OPUS_StreamCreateFile(Pointer file, long offset, long length, int flags);
	int BASS_OPUS_StreamCreateURL(String url, int offset, int flags, DOWNLOADPROC proc, Pointer user);
	int BASS_OPUS_StreamCreateFileUser(int system, int flags, BASS_FILEPROCS procs, Pointer user);
}
